Token Details
Retrieve comprehensive details for multiple Solana tokens simultaneously, including price, trading activity, volume, and holder metrics. Returns the same data structure as the single token_details endpoint but supports batching up to 50 tokens in a single request.
GET
https://api.cambrian.org/solana/token-details
Parameters
token_addresses* (string)
Comma-separated Solana token mint addresses (max 50, base58). Example: So11111111111111111111111111111111111111112,DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "tokenAddress",
"type": "String"
},
{
"name": "symbol",
"type": "String"
},
{
"name": "name",
"type": "String"
},
{
"name": "decimals",
"type": "UInt8"
},
{
"name": "priceUSD",
"type": "Float64"
},
{
"name": "lastTradeUnixTime",
"type": "UInt32"
},
{
"name": "lastTradeHumanTime",
"type": "String"
},
{
"name": "trade1hCount",
"type": "UInt64"
},
{
"name": "trade24hCount",
"type": "UInt64"
},
{
"name": "trade7dCount",
"type": "UInt64"
},
{
"name": "volume1h",
"type": "Float64"
},
{
"name": "volume24h",
"type": "Float64"
},
{
"name": "volume7d",
"type": "Float64"
},
{
"name": "volume1hUSD",
"type": "Float64"
},
{
"name": "volume24hUSD",
"type": "Float64"
},
{
"name": "volume7dUSD",
"type": "Float64"
},
{
"name": "buy24hCount",
"type": "UInt64"
},
{
"name": "sell24hCount",
"type": "UInt64"
},
{
"name": "buyVolume24h",
"type": "Float64"
},
{
"name": "sellVolume24h",
"type": "Float64"
},
{
"name": "buyVolume24hUSD",
"type": "Float64"
},
{
"name": "sellVolume24hUSD",
"type": "Float64"
},
{
"name": "holderCount",
"type": "UInt64"
}
],
"data": [
[
"So11111111111111111111111111111111111111112",
"SOL",
"Wrapped SOL",
9,
100.5731742301474,
1787647684,
"2026-08-25 08:48:04",
1092202,
27327567,
172022202,
2452535.392538375,
63621196.29324557,
408146949.37494725,
246659269.33936495,
6398585659.530994,
41048634250.98972,
10682675,
16644892,
31843336.800796207,
31777859.49244936,
3202585460.1357417,
3196000199.395253,
10552299
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Retrieve details for a single token
Fetch comprehensive trading and holder metrics for Wrapped SOL by passing its mint address.
curl
curl -X GET "https://api.cambrian.org/solana/token-details?token_addresses=So11111111111111111111111111111111111111112" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "tokenAddress",
6 "type": "String"
7 },
8 {
9 "name": "symbol",
10 "type": "String"
11 },
12 {
13 "name": "name",
14 "type": "String"
15 },
16 {
17 "name": "decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "priceUSD",
22 "type": "Float64"
23 },
24 {
25 "name": "lastTradeUnixTime",
26 "type": "UInt32"
27 },
28 {
29 "name": "lastTradeHumanTime",
30 "type": "String"
31 },
32 {
33 "name": "trade1hCount",
34 "type": "UInt64"
35 },
36 {
37 "name": "trade24hCount",
38 "type": "UInt64"
39 },
40 {
41 "name": "trade7dCount",
42 "type": "UInt64"
43 },
44 {
45 "name": "volume1h",
46 "type": "Float64"
47 },
48 {
49 "name": "volume24h",
50 "type": "Float64"
51 },
52 {
53 "name": "volume7d",
54 "type": "Float64"
55 },
56 {
57 "name": "volume1hUSD",
58 "type": "Float64"
59 },
60 {
61 "name": "volume24hUSD",
62 "type": "Float64"
63 },
64 {
65 "name": "volume7dUSD",
66 "type": "Float64"
67 },
68 {
69 "name": "buy24hCount",
70 "type": "UInt64"
71 },
72 {
73 "name": "sell24hCount",
74 "type": "UInt64"
75 },
76 {
77 "name": "buyVolume24h",
78 "type": "Float64"
79 },
80 {
81 "name": "sellVolume24h",
82 "type": "Float64"
83 },
84 {
85 "name": "buyVolume24hUSD",
86 "type": "Float64"
87 },
88 {
89 "name": "sellVolume24hUSD",
90 "type": "Float64"
91 },
92 {
93 "name": "holderCount",
94 "type": "UInt64"
95 }
96 ],
97 "data": [
98 [
99 "So11111111111111111111111111111111111111112",
100 "SOL",
101 "Wrapped SOL",
102 9,
103 100.5731742301474,
104 1787647684,
105 "2026-08-25 08:48:04",
106 1092202,
107 27327567,
108 172022202,
109 2452535.392538375,
110 63621196.29324557,
111 408146949.37494725,
112 246659269.33936495,
113 6398585659.530994,
114 41048634250.98972,
115 10682675,
116 16644892,
117 31843336.800796207,
118 31777859.49244936,
119 3202585460.1357417,
120 3196000199.395253,
121 10552299
122 ]
123 ],
124 "rows": 1
125 }
126]
2 {
3 "columns": [
4 {
5 "name": "tokenAddress",
6 "type": "String"
7 },
8 {
9 "name": "symbol",
10 "type": "String"
11 },
12 {
13 "name": "name",
14 "type": "String"
15 },
16 {
17 "name": "decimals",
18 "type": "UInt8"
19 },
20 {
21 "name": "priceUSD",
22 "type": "Float64"
23 },
24 {
25 "name": "lastTradeUnixTime",
26 "type": "UInt32"
27 },
28 {
29 "name": "lastTradeHumanTime",
30 "type": "String"
31 },
32 {
33 "name": "trade1hCount",
34 "type": "UInt64"
35 },
36 {
37 "name": "trade24hCount",
38 "type": "UInt64"
39 },
40 {
41 "name": "trade7dCount",
42 "type": "UInt64"
43 },
44 {
45 "name": "volume1h",
46 "type": "Float64"
47 },
48 {
49 "name": "volume24h",
50 "type": "Float64"
51 },
52 {
53 "name": "volume7d",
54 "type": "Float64"
55 },
56 {
57 "name": "volume1hUSD",
58 "type": "Float64"
59 },
60 {
61 "name": "volume24hUSD",
62 "type": "Float64"
63 },
64 {
65 "name": "volume7dUSD",
66 "type": "Float64"
67 },
68 {
69 "name": "buy24hCount",
70 "type": "UInt64"
71 },
72 {
73 "name": "sell24hCount",
74 "type": "UInt64"
75 },
76 {
77 "name": "buyVolume24h",
78 "type": "Float64"
79 },
80 {
81 "name": "sellVolume24h",
82 "type": "Float64"
83 },
84 {
85 "name": "buyVolume24hUSD",
86 "type": "Float64"
87 },
88 {
89 "name": "sellVolume24hUSD",
90 "type": "Float64"
91 },
92 {
93 "name": "holderCount",
94 "type": "UInt64"
95 }
96 ],
97 "data": [
98 [
99 "So11111111111111111111111111111111111111112",
100 "SOL",
101 "Wrapped SOL",
102 9,
103 100.5731742301474,
104 1787647684,
105 "2026-08-25 08:48:04",
106 1092202,
107 27327567,
108 172022202,
109 2452535.392538375,
110 63621196.29324557,
111 408146949.37494725,
112 246659269.33936495,
113 6398585659.530994,
114 41048634250.98972,
115 10682675,
116 16644892,
117 31843336.800796207,
118 31777859.49244936,
119 3202585460.1357417,
120 3196000199.395253,
121 10552299
122 ]
123 ],
124 "rows": 1
125 }
126]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/token-details"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/token-details"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/token-details")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/token-details")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request